RemoteGymp · API v1
API குறிப்பு
அணுகல் மற்றும் நடத்தை
குறிப்பு எடுத்துக்காட்டுகள் வார்ப்புருக்கள். பிளேஸ்ஹோல்டர்களை மாற்றி, அவற்றை இயக்கும் முன் எண்ட்பாயின்ட்டின் அளவுருக்கள், அனுமதிகள் மற்றும் ஸ்கீமாவைச் சரிபார்க்கவும். நிச்சயமற்ற எழுத்துகளுக்கு, அந்த இறுதிப்புள்ளியின் மீட்பு மற்றும் மறுமுயற்சி விதிகளைப் பின்பற்றவும்.
க்கு ஒரு தாங்கி டோக்கன் மற்றும் இறுதிப்புள்ளியின் அனுமதிகள் தேவை. உங்கள் நற்சான்றிதழின் நோக்கத்திற்கு மட்டுமே அணுகல் இருக்கும். சாதனம் அல்லது நிர்வாகச் செயல்களைப் பயன்படுத்தும் முன் திறன்களைச் சரிபார்க்கவும்.
தேடல் முடிவுகள்: 289
முடிவுகள் எதுவும் இல்லை.
ஆட்டோமேஷன்72
PUTஎச்சரிக்கை ரூட்டிங்கைச் சேமிக்கவும்/v1/automation/alert-routing
FullAccess மற்றும் தற்போதைய உரிமையாளர் அதிகாரம் தேவை. தனித்துவமற்ற விசையை வழங்கவும், நிச்சயமற்ற after ஒரே மாதிரியான கோரிக்கையை மீண்டும் பயன்படுத்தவும், செயல்பாட்டு ரசீதை ஆய்வு செய்யவும்.
PUT /v1/automation/alert-routing ↗mcp.cap.AutomationManage + mcp.cap.AlertWrite
திட்டங்கள் (OpenAPI)
AutomationAlertRoutingKind
0 = QuietHours 1 = ParentDependency
அளவுருக்கள்
பாதை, வினவல் அல்லது தலைப்பு அளவுருக்கள் இல்லை.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"expectedRevision": 1,
"id": "<UUID>",
"kind": 0,
"name": "<value>"
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/alert-routing' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "put_v1_automation_alert_routing",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfAutomationAlertRoutingInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Save alert routing",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AlertWrite"
]
}POSTஎச்சரிக்கை ரூட்டிங்கை சரிபார்க்கவும்/v1/automation/alert-routing/validate
தற்போதைய ஸ்கோப் செய்யப்பட்ட ஆதாரங்களைப் படியுங்கள். காணாமல் போன சான்றுகள் தெரியவில்லை. இறுதிப்புள்ளி நடவடிக்கை அல்லது AI குற்றச்சாட்டு எதுவும் தொடங்கப்படவில்லை.
POST /v1/automation/alert-routing/validate ↗mcp.cap.AutomationRead
திட்டங்கள் (OpenAPI)
AutomationAlertRoutingKind
0 = QuietHours 1 = ParentDependency
அளவுருக்கள்
பாதை, வினவல் அல்லது தலைப்பு அளவுருக்கள் இல்லை.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"companyId": "<UUID>",
"expectedRevision": 1,
"id": "<UUID>",
"kind": 0,
"name": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/alert-routing/validate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "post_v1_automation_alert_routing_validate",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAlertRoutingInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationValidation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Validate alert routing",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}POSTஒரு மானிட்டர் எச்சரிக்கையை அங்கீகரிக்கவும்/v1/automation/alerts/{id}/acknowledge
தானியங்குச் சேவை மூலம் ஒரு எச்சரிக்கையை ஒப்புக்கொள்ளவும். கோரிக்கை அமைப்பில் idempotencyKey-ஐ அனுப்பி, திருப்பி அனுப்பப்பட்ட செயல்பாட்டு ரசீதைப் பின்பற்றவும். இது பிழையைச் சரிசெய்யாது.
POST /v1/automation/alerts/{id}/acknowledge ↗mcp.cap.AutomationManage
அளவுருக்கள்
id· பாதை · தேவை- தொடர்புடைய ஆதார பட்டியல் அல்லது உருவாக்கம் முடிவு மூலம் அடையாளங்காட்டி வழங்கப்படும்.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/alerts/<id>/acknowledge' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Acknowledge an alert through the automation service. Send idempotencyKey in the request body and follow the returned operation receipt. It does not fix the fault.",
"operationId": "post_v1_automation_alerts_id_acknowledge",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Acknowledge a monitor alert",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage"
]
}GETஎச்சரிக்கை ரூட்டிங்கை பட்டியலிடுங்கள்/v1/automation/companies/{companyId}/alert-routing
தற்போதைய ஸ்கோப் செய்யப்பட்ட ஆதாரங்களைப் படியுங்கள். காணாமல் போன சான்றுகள் தெரியவில்லை. இறுதிப்புள்ளி நடவடிக்கை அல்லது AI குற்றச்சாட்டு எதுவும் தொடங்கப்படவில்லை.
GET /v1/automation/companies/{companyId}/alert-routing ↗mcp.cap.AutomationRead
திட்டங்கள் (OpenAPI)
AutomationAlertRoutingKind
0 = QuietHours 1 = ParentDependency
அளவுருக்கள்
companyId· பாதை · தேவை- நிறுவன அடையாளங்காட்டி. வினவல் அளவுரு இந்த நிறுவனத்திற்கு முடிவுகளைக் குறைக்கிறது; அது ஒருபோதும் நற்சான்றிதழ் நோக்கத்தை விரிவுபடுத்தாது.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/companies/<companyId>/alert-routing' `
-Headers $headersகோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_companies_companyId_alert_routing",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationAlertRoutingInput"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List alert routing",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}PUTபேட்ச் விலக்குகளைச் சேமிக்கவும்/v1/automation/companies/{companyId}/patch-exclusions
FullAccess மற்றும் தற்போதைய உரிமையாளர் அதிகாரம் தேவை. தனித்துவமற்ற விசையை வழங்கவும், நிச்சயமற்ற after ஒரே மாதிரியான கோரிக்கையை மீண்டும் பயன்படுத்தவும், செயல்பாட்டு ரசீதை ஆய்வு செய்யவும்.
PUT /v1/automation/companies/{companyId}/patch-exclusions ↗mcp.cap.PatchingManage + mcp.cap.PatchingExecute
அளவுருக்கள்
companyId· பாதை · தேவை- நிறுவன அடையாளங்காட்டி. வினவல் அளவுரு இந்த நிறுவனத்திற்கு முடிவுகளைக் குறைக்கிறது; அது ஒருபோதும் நற்சான்றிதழ் நோக்கத்தை விரிவுபடுத்தாது.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": [
"<UUID>"
]
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/companies/<companyId>/patch-exclusions' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "put_v1_automation_companies_companyId_patch_exclusions",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid[]"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Save patch exclusions",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingManage",
"mcp.cap.PatchingExecute"
]
}GETகுறிச்சொற்களை பட்டியலிடுங்கள்/v1/automation/companies/{companyId}/tags
தற்போதைய ஸ்கோப் செய்யப்பட்ட ஆதாரங்களைப் படியுங்கள். காணாமல் போன சான்றுகள் தெரியவில்லை. இறுதிப்புள்ளி நடவடிக்கை அல்லது AI குற்றச்சாட்டு எதுவும் தொடங்கப்படவில்லை.
GET /v1/automation/companies/{companyId}/tags ↗mcp.cap.AutomationRead
அளவுருக்கள்
companyId· பாதை · தேவை- நிறுவன அடையாளங்காட்டி. வினவல் அளவுரு இந்த நிறுவனத்திற்கு முடிவுகளைக் குறைக்கிறது; அது ஒருபோதும் நற்சான்றிதழ் நோக்கத்தை விரிவுபடுத்தாது.
after· வினவல் · விருப்பமானது- முந்தைய பதிலில் இருந்து தொடர்ச்சி நிலை. முதல் பக்கத்தைத் தவிர்க்கவும்; தொடரும் போது அதே வடிகட்டிகளை வைத்திருங்கள்.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/companies/<companyId>/tags' `
-Headers $headersகோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_companies_companyId_tags",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationTagPage"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List tags",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}GETஉள்ளமைவு கொள்கைகளை பட்டியலிடவும்/v1/automation/configuration-policies
தற்போதைய ஸ்கோப் செய்யப்பட்ட ஆதாரங்களைப் படியுங்கள். காணாமல் போன சான்றுகள் தெரியவில்லை. இறுதிப்புள்ளி நடவடிக்கை அல்லது AI குற்றச்சாட்டு எதுவும் தொடங்கப்படவில்லை.
GET /v1/automation/configuration-policies ↗mcp.cap.AutomationRead
திட்டங்கள் (OpenAPI)
ConfigurationBaselineControl
0 = Firewall 1 = BitLocker 2 = LocalAdministrators 3 = ScreenLock 4 = UsbStorage
ConfigurationBaselineMode
0 = Audit 1 = Enforce
BaselineUsbAccess
0 = Allow 1 = ReadOnly 2 = Block
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationSimpleTriggerKind
0 = Once 1 = EveryMinutes 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = DeviceOnline 7 = DeviceOffline 8 = DeviceBooted 9 = FactsChanged 10 = UserLogon 11 = UserLogoff 12 = SessionLocked 13 = SessionUnlocked 14 = RdpConnected 15 = RdpDisconnected 16 = MachineShuttingDown 17 = MachinePoweredOn 18 = AgentServiceStarted 19 = AgentServiceStopped 20 = MachineSuspending 21 = MachineResumed 22 = Cron
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
AutomationState
0 = Draft 1 = Enabled 2 = Paused 3 = Archived
அளவுருக்கள்
பாதை, வினவல் அல்லது தலைப்பு அளவுருக்கள் இல்லை.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/configuration-policies' `
-Headers $headersகோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_configuration_policies",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/ConfigurationBaselineListItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List configuration policies",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}POSTஉள்ளமைவுக் கொள்கையை உருவாக்கு/v1/automation/configuration-policies
FullAccess மற்றும் தற்போதைய உரிமையாளர் அதிகாரம் தேவை. தனித்துவமற்ற விசையை வழங்கவும், நிச்சயமற்ற after ஒரே மாதிரியான கோரிக்கையை மீண்டும் பயன்படுத்தவும், செயல்பாட்டு ரசீதை ஆய்வு செய்யவும்.
POST /v1/automation/configuration-policies ↗mcp.cap.AutomationManage + mcp.cap.SettingsManage
திட்டங்கள் (OpenAPI)
ConfigurationBaselineControl
0 = Firewall 1 = BitLocker 2 = LocalAdministrators 3 = ScreenLock 4 = UsbStorage
ConfigurationBaselineMode
0 = Audit 1 = Enforce
BaselineUsbAccess
0 = Allow 1 = ReadOnly 2 = Block
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationSimpleTriggerKind
0 = Once 1 = EveryMinutes 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = DeviceOnline 7 = DeviceOffline 8 = DeviceBooted 9 = FactsChanged 10 = UserLogon 11 = UserLogoff 12 = SessionLocked 13 = SessionUnlocked 14 = RdpConnected 15 = RdpDisconnected 16 = MachineShuttingDown 17 = MachinePoweredOn 18 = AgentServiceStarted 19 = AgentServiceStopped 20 = MachineSuspending 21 = MachineResumed 22 = Cron
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
அளவுருக்கள்
பாதை, வினவல் அல்லது தலைப்பு அளவுருக்கள் இல்லை.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"description": "<value>",
"name": "<value>",
"policy": {
"control": 0
},
"schedule": {
"kind": 0
},
"scope": {
"kind": 0
}
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/configuration-policies' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_configuration_policies",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfConfigurationBaselineInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Create configuration policy",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.SettingsManage"
]
}POSTமுன்னோட்ட உள்ளமைவுக் கொள்கை/v1/automation/configuration-policies/preview
தற்போதைய ஸ்கோப் செய்யப்பட்ட ஆதாரங்களைப் படியுங்கள். காணாமல் போன சான்றுகள் தெரியவில்லை. இறுதிப்புள்ளி நடவடிக்கை அல்லது AI குற்றச்சாட்டு எதுவும் தொடங்கப்படவில்லை.
POST /v1/automation/configuration-policies/preview ↗mcp.cap.AutomationRead + mcp.cap.SecurityRead
திட்டங்கள் (OpenAPI)
ConfigurationBaselineControl
0 = Firewall 1 = BitLocker 2 = LocalAdministrators 3 = ScreenLock 4 = UsbStorage
ConfigurationBaselineMode
0 = Audit 1 = Enforce
BaselineUsbAccess
0 = Allow 1 = ReadOnly 2 = Block
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationSimpleTriggerKind
0 = Once 1 = EveryMinutes 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = DeviceOnline 7 = DeviceOffline 8 = DeviceBooted 9 = FactsChanged 10 = UserLogon 11 = UserLogoff 12 = SessionLocked 13 = SessionUnlocked 14 = RdpConnected 15 = RdpDisconnected 16 = MachineShuttingDown 17 = MachinePoweredOn 18 = AgentServiceStarted 19 = AgentServiceStopped 20 = MachineSuspending 21 = MachineResumed 22 = Cron
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
அளவுருக்கள்
பாதை, வினவல் அல்லது தலைப்பு அளவுருக்கள் இல்லை.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"description": "<value>",
"name": "<value>",
"policy": {
"control": 0
},
"schedule": {
"kind": 0
},
"scope": {
"kind": 0
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/configuration-policies/preview' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "post_v1_automation_configuration_policies_preview",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ConfigurationBaselineInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationSimpleScopePreview"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Preview configuration policy",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead",
"mcp.cap.SecurityRead"
]
}POSTWindows இணைப்பை நிறுவவும்/v1/automation/devices/{deviceId}/patch-install
FullAccess மற்றும் தற்போதைய உரிமையாளர் அதிகாரம் தேவை. தனித்துவமற்ற விசையை வழங்கவும், நிச்சயமற்ற after ஒரே மாதிரியான கோரிக்கையை மீண்டும் பயன்படுத்தவும், செயல்பாட்டு ரசீதை ஆய்வு செய்யவும்.
POST /v1/automation/devices/{deviceId}/patch-install ↗mcp.cap.PatchingExecute
அளவுருக்கள்
deviceId· பாதை · தேவை- சாதன அடையாளங்காட்டியானது தொடர்புடைய சாதனப் பட்டியலின் மூலம் திரும்பியது. நிர்வகிக்கப்பட்ட முகவர்கள் மற்றும் கண்டுபிடிக்கப்பட்ட நெட்வொர்க் சாதனங்கள் வெவ்வேறு அடையாளங்காட்டிகளைக் கொண்டுள்ளன.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"revisionNumber": 1,
"updateId": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/patch-install' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_devices_deviceId_patch_install",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfPatchUpdateIdentity"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Install Windows patch",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingExecute"
]
}GETசாதன குறிச்சொற்களைப் பெறுங்கள்/v1/automation/devices/{deviceId}/tags
தற்போதைய ஸ்கோப் செய்யப்பட்ட ஆதாரங்களைப் படியுங்கள். காணாமல் போன சான்றுகள் தெரியவில்லை. இறுதிப்புள்ளி நடவடிக்கை அல்லது AI குற்றச்சாட்டு எதுவும் தொடங்கப்படவில்லை.
GET /v1/automation/devices/{deviceId}/tags ↗mcp.cap.AutomationRead
அளவுருக்கள்
deviceId· பாதை · தேவை- சாதன அடையாளங்காட்டியானது தொடர்புடைய சாதனப் பட்டியலின் மூலம் திரும்பியது. நிர்வகிக்கப்பட்ட முகவர்கள் மற்றும் கண்டுபிடிக்கப்பட்ட நெட்வொர்க் சாதனங்கள் வெவ்வேறு அடையாளங்காட்டிகளைக் கொண்டுள்ளன.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/tags' `
-Headers $headersகோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_devices_deviceId_tags",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/IntegrationTagView"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get device tags",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}PUTசாதன குறிச்சொற்களை ஒதுக்கவும்/v1/automation/devices/{deviceId}/tags
FullAccess மற்றும் தற்போதைய உரிமையாளர் அதிகாரம் தேவை. தனித்துவமற்ற விசையை வழங்கவும், நிச்சயமற்ற after ஒரே மாதிரியான கோரிக்கையை மீண்டும் பயன்படுத்தவும், செயல்பாட்டு ரசீதை ஆய்வு செய்யவும்.
PUT /v1/automation/devices/{deviceId}/tags ↗mcp.cap.AutomationManage
அளவுருக்கள்
deviceId· பாதை · தேவை- சாதன அடையாளங்காட்டியானது தொடர்புடைய சாதனப் பட்டியலின் மூலம் திரும்பியது. நிர்வகிக்கப்பட்ட முகவர்கள் மற்றும் கண்டுபிடிக்கப்பட்ட நெட்வொர்க் சாதனங்கள் வெவ்வேறு அடையாளங்காட்டிகளைக் கொண்டுள்ளன.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": [
"<UUID>"
]
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/tags' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "put_v1_automation_devices_deviceId_tags",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid[]"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Assign device tags",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage"
]
}POSTWindows புதுப்பிப்பை மீட்டமைக்கவும்/v1/automation/devices/{deviceId}/update-reset
FullAccess மற்றும் தற்போதைய உரிமையாளர் அதிகாரம் தேவை. தனித்துவமற்ற விசையை வழங்கவும், நிச்சயமற்ற after ஒரே மாதிரியான கோரிக்கையை மீண்டும் பயன்படுத்தவும், செயல்பாட்டு ரசீதை ஆய்வு செய்யவும்.
POST /v1/automation/devices/{deviceId}/update-reset ↗mcp.cap.PatchingExecute
அளவுருக்கள்
deviceId· பாதை · தேவை- சாதன அடையாளங்காட்டியானது தொடர்புடைய சாதனப் பட்டியலின் மூலம் திரும்பியது. நிர்வகிக்கப்பட்ட முகவர்கள் மற்றும் கண்டுபிடிக்கப்பட்ட நெட்வொர்க் சாதனங்கள் வெவ்வேறு அடையாளங்காட்டிகளைக் கொண்டுள்ளன.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/update-reset' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_devices_deviceId_update_reset",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Reset Windows update",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingExecute"
]
}POSTபேட்ச் கொள்கையை இயக்கவும்/v1/automation/devices/{id}/patch-runs
தேர்ந்தெடுக்கப்பட்ட அங்கீகரிக்கப்பட்ட சாதனத்தில் பேட்ச்-கொள்கையை இயக்கக் கோரவும்.
POST /v1/automation/devices/{id}/patch-runs ↗mcp.cap.PatchingExecute
அளவுருக்கள்
id· பாதை · தேவை- தொடர்புடைய ஆதார பட்டியல் அல்லது உருவாக்கம் முடிவு மூலம் அடையாளங்காட்டி வழங்கப்படும்.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<id>/patch-runs' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Request a patch-policy run on the selected authorised device.",
"operationId": "post_v1_automation_devices_id_patch_runs",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Run a patch policy",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingExecute"
]
}GETசாதன இணைப்பு-கொள்கை நிலையைப் படிக்கவும்/v1/automation/devices/{id}/patch-status
சாதனத்தின் பேட்ச்-பாலிசி நிலையைப் படிக்கவும் மற்றும் இணைப்புத் தகவலைப் புகாரளிக்கவும்.
GET /v1/automation/devices/{id}/patch-status ↗mcp.cap.PatchingRead
திட்டங்கள் (OpenAPI)
PatchRebootBehavior
0 = Unknown 1 = Never 2 = Always 3 = CanRequest
PatchSeverity
0 = Unknown 1 = Low 2 = Moderate 3 = Important 4 = Critical
PatchUpdateType
0 = Unknown 1 = Software 2 = Driver
PatchComplianceState
0 = Unknown 1 = Compliant 2 = MissingUpdates 3 = ScanFailed 4 = Unsupported
அளவுருக்கள்
id· பாதை · தேவை- தொடர்புடைய ஆதார பட்டியல் அல்லது உருவாக்கம் முடிவு மூலம் அடையாளங்காட்டி வழங்கப்படும்.
offset· வினவல் · விருப்பமானது- பூஜ்ஜியத்தில் தொடங்கி தவிர்க்க வேண்டிய உருப்படிகளின் எண்ணிக்கை. எண்ட்பாயிண்ட் மூலம் திரும்பிய ஆஃப்செட் கிடைக்கும்போது தொடர்ந்து பயன்படுத்தவும்.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<id>/patch-status' `
-Headers $headersகோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Read the device's patch-policy status and reported patching information.",
"operationId": "get_v1_automation_devices_id_patch_status",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/DevicePatchStatusView"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read device patch-policy status",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingRead"
]
}POSTஅவசர நிறுத்தத்தை மாற்றவும்/v1/automation/emergency-stop
ஆட்டோமேஷன் எமர்ஜென்சி-ஸ்டாப் நிலையை அமைக்கவும். செயலில் உள்ள வேலை நிறுத்தப்பட்டதாகக் கருதும் முன் முடிவைச் சரிபார்க்கவும்.
POST /v1/automation/emergency-stop ↗mcp.cap.AutomationStop
அளவுருக்கள்
பாதை, வினவல் அல்லது தலைப்பு அளவுருக்கள் இல்லை.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/emergency-stop' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Set the automation emergency-stop state. Inspect the result before assuming active work has stopped.",
"operationId": "post_v1_automation_emergency_stop",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfboolean"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Change the emergency stop",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationStop"
]
}GETஸ்மார்ட் குழுக்களை பட்டியலிடுங்கள்/v1/automation/groups
தானியங்கு சாதனக் குழுக்களையும் அவற்றின் வரையறைகளையும் உலாவுக.
GET /v1/automation/groups ↗mcp.cap.AutomationRead
திட்டங்கள் (OpenAPI)
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationFactValueType
0 = String 1 = Boolean 2 = Integer 3 = Number 4 = Timestamp 5 = Duration 6 = Guid 7 = Collection 8 = Object
அளவுருக்கள்
பாதை, வினவல் அல்லது தலைப்பு அளவுருக்கள் இல்லை.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/groups' `
-Headers $headersகோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Browse automation device groups and their definitions.",
"operationId": "get_v1_automation_groups",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiGroupsWorkspace"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List smart groups",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}POSTஸ்மார்ட் குழுவை உருவாக்கவும்/v1/automation/groups
வழங்கப்பட்ட தேர்வு விதிகளைப் பயன்படுத்தி ஒரு ஆட்டோமேஷன் குழுவை உருவாக்கவும்.
POST /v1/automation/groups ↗mcp.cap.AutomationManage + mcp.cap.AutomationExecute
திட்டங்கள் (OpenAPI)
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
அளவுருக்கள்
பாதை, வினவல் அல்லது தலைப்பு அளவுருக்கள் இல்லை.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"condition": {
"kind": 0
},
"name": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/groups' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Create an automation group using the supplied selection rules.",
"operationId": "post_v1_automation_groups",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationGroupDefinition"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Create a smart group",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AutomationExecute"
]
}POSTஸ்மார்ட் குழுவை நீக்கவும்/v1/automation/groups/delete
தேர்ந்தெடுக்கப்பட்ட ஆட்டோமேஷன் குழுவை அகற்று.
POST /v1/automation/groups/delete ↗mcp.cap.AutomationManage + mcp.cap.AutomationExecute
அளவுருக்கள்
பாதை, வினவல் அல்லது தலைப்பு அளவுருக்கள் இல்லை.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"expectedVersionId": "<UUID>",
"id": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/groups/delete' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Remove the selected automation group.",
"operationId": "post_v1_automation_groups_delete",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationVersionIdentity"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Delete a smart group",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AutomationExecute"
]
}POSTஸ்மார்ட்-குழு உறுப்பினர்களின் முன்னோட்டம்/v1/automation/groups/preview
சேமிக்கும் முன் எந்த அனுமதிக்கப்பட்ட சாதனங்கள் பொருந்தும் என்பதைப் பார்க்க முன்மொழியப்பட்ட குழு விதிகளை மதிப்பீடு செய்யவும்.
POST /v1/automation/groups/preview ↗mcp.cap.AutomationRead
திட்டங்கள் (OpenAPI)
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
அளவுருக்கள்
பாதை, வினவல் அல்லது தலைப்பு அளவுருக்கள் இல்லை.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"companyId": "<UUID>",
"condition": {
"kind": 0
},
"name": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/groups/preview' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Evaluate proposed group rules to see which permitted devices would match before saving.",
"operationId": "post_v1_automation_groups_preview",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationGroupDefinition"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationSimpleScopePreview"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Preview smart-group membership",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}GETஸ்மார்ட் குழுவைப் பெறுங்கள்/v1/automation/groups/{id}
ஒரு ஆட்டோமேஷன் குழுவின் வரையறை மற்றும் உறுப்பினர் தகவலைப் படிக்கவும்.
GET /v1/automation/groups/{id} ↗mcp.cap.AutomationRead
திட்டங்கள் (OpenAPI)
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
அளவுருக்கள்
id· பாதை · தேவை- தொடர்புடைய ஆதார பட்டியல் அல்லது உருவாக்கம் முடிவு மூலம் அடையாளங்காட்டி வழங்கப்படும்.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/groups/<id>' `
-Headers $headersகோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Read one automation group's definition and membership information.",
"operationId": "get_v1_automation_groups_id",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationGroupDraft"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get a smart group",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}PUTஸ்மார்ட் குழுவைப் புதுப்பிக்கவும்/v1/automation/groups/{id}
ஏற்கனவே உள்ள ஆட்டோமேஷன் குழுவின் வரையறையை மாற்றவும்.
PUT /v1/automation/groups/{id} ↗mcp.cap.AutomationManage + mcp.cap.AutomationExecute
திட்டங்கள் (OpenAPI)
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
அளவுருக்கள்
id· பாதை · தேவை- தொடர்புடைய ஆதார பட்டியல் அல்லது உருவாக்கம் முடிவு மூலம் அடையாளங்காட்டி வழங்கப்படும்.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"condition": {
"kind": 0
},
"name": "<value>"
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/groups/<id>' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Change an existing automation group's definition.",
"operationId": "put_v1_automation_groups_id",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationGroupDefinition"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Update a smart group",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AutomationExecute"
]
}POSTமானிட்டர் பேக்கை நிறுவவும்/v1/automation/monitor-packs/install
FullAccess மற்றும் தற்போதைய உரிமையாளர் அதிகாரம் தேவை. தனித்துவமற்ற விசையை வழங்கவும், நிச்சயமற்ற after ஒரே மாதிரியான கோரிக்கையை மீண்டும் பயன்படுத்தவும், செயல்பாட்டு ரசீதை ஆய்வு செய்யவும்.
POST /v1/automation/monitor-packs/install ↗mcp.cap.AutomationManage
திட்டங்கள் (OpenAPI)
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
அளவுருக்கள்
பாதை, வினவல் அல்லது தலைப்பு அளவுருக்கள் இல்லை.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"key": "<value>",
"scope": {
"kind": 0
}
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/monitor-packs/install' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_monitor_packs_install",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationMonitorPack"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Install monitor pack",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage"
]
}POSTமானிட்டர் பொதிகளை பட்டியலிடுங்கள்/v1/automation/monitor-packs/query
தற்போதைய ஸ்கோப் செய்யப்பட்ட ஆதாரங்களைப் படியுங்கள். காணாமல் போன சான்றுகள் தெரியவில்லை. இறுதிப்புள்ளி நடவடிக்கை அல்லது AI குற்றச்சாட்டு எதுவும் தொடங்கப்படவில்லை.
POST /v1/automation/monitor-packs/query ↗mcp.cap.AutomationRead
திட்டங்கள் (OpenAPI)
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
AutomationTemplateReadiness
0 = ReadyNow 1 = CollectorRequired 2 = IntegrationRequired 3 = Future
AutomationNotificationSeverity
0 = Information 1 = Warning 2 = Critical 3 = Recovery
அளவுருக்கள்
பாதை, வினவல் அல்லது தலைப்பு அளவுருக்கள் இல்லை.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"kind": 0
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/monitor-packs/query' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "post_v1_automation_monitor_packs_query",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationHierarchyScope"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationBaselinePackView"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List monitor packs",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}GETபட்டியல் மானிட்டர்கள்/v1/automation/monitors
உள்ளமைக்கப்பட்ட கண்காணிப்பு வரையறைகளை உலாவுக.
GET /v1/automation/monitors ↗mcp.cap.AutomationRead
திட்டங்கள் (OpenAPI)
AutomationMonitorLifecycleState
0 = Enabled 1 = Paused 2 = Archived
அளவுருக்கள்
offset· வினவல் · விருப்பமானது- பூஜ்ஜியத்தில் தொடங்கி தவிர்க்க வேண்டிய உருப்படிகளின் எண்ணிக்கை. எண்ட்பாயிண்ட் மூலம் திரும்பிய ஆஃப்செட் கிடைக்கும்போது தொடர்ந்து பயன்படுத்தவும்.
take· வினவல் · விருப்பமானது- இந்தப் பக்கத்திற்குக் கோரப்பட்ட உருப்படிகளின் அதிகபட்ச எண்ணிக்கை. சேவையகம் இந்த மதிப்பை இறுதிப்புள்ளி வரம்பிற்கு ஏற்றுகிறது.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/monitors' `
-Headers $headersகோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Browse configured monitoring definitions.",
"operationId": "get_v1_automation_monitors",
"parameters": [
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. The server clamps this value to the endpoint limit.",
"in": "query",
"name": "take",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiOffsetPageOfApiMonitorItem"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List monitors",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}POSTஒரு மானிட்டரை உருவாக்கவும்/v1/automation/monitors
வழங்கப்பட்ட காசோலைகள் மற்றும் அமைப்புகளைப் பயன்படுத்தி ஒரு கண்காணிப்பு வரையறையை உருவாக்கவும்.
POST /v1/automation/monitors ↗mcp.cap.AutomationManage + mcp.cap.AutomationExecute
திட்டங்கள் (OpenAPI)
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationNotificationAudience
0 = None 1 = Owners 2 = Technicians 4 = Clients
AutomationNotificationChannel
0 = None 1 = InApp 2 = Email
AutomationSimpleActionKind
0 = Script 1 = Notification 2 = RefreshFacts 3 = ControlService 4 = RestartDevice 5 = WindowsDiskCleanup 6 = LinuxMaintenance 7 = WakeDevice 8 = SendUserMessage 9 = UninstallSoftware
LinuxMaintenanceAction
0 = RefreshPackageInventory 1 = InstallPackageUpdates 2 = RefreshFirmwareMetadata 3 = InstallFirmwareUpdates 4 = InstallAllUpdates
AutomationOutcomeMatch
0 = Failure 1 = Success 2 = Always 3 = ResultMatches
AutomationNotificationSeverity
0 = Information 1 = Warning 2 = Critical 3 = Recovery
AutomationScriptPlatform
0 = WindowsPowerShell51 1 = LinuxBash 2 = MacOsZsh 3 = WindowsCmd 4 = WindowsPowerShell7 5 = LinuxPowerShell7 6 = MacOsPowerShell7 7 = WindowsPython3 8 = LinuxPython3 9 = MacOsPython3
ServiceAction
0 = Start 1 = Stop 2 = Restart
SoftwareKind
0 = ClassicDesktop 1 = PackagedApp
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
அளவுருக்கள்
பாதை, வினவல் அல்லது தலைப்பு அளவுருக்கள் இல்லை.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"condition": {
"kind": 0
},
"description": "<value>",
"name": "<value>",
"scope": {
"kind": 0
}
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/monitors' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Create a monitoring definition using the supplied checks and settings.",
"operationId": "post_v1_automation_monitors",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfAutomationSimpleMonitorInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Create a monitor",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AutomationExecute"
]
}POSTமானிட்டர் நிலை முன்னோட்டம்/v1/automation/monitors/preview
தற்போதைய ஸ்கோப் செய்யப்பட்ட ஆதாரங்களைப் படியுங்கள். காணாமல் போன சான்றுகள் தெரியவில்லை. இறுதிப்புள்ளி நடவடிக்கை அல்லது AI குற்றச்சாட்டு எதுவும் தொடங்கப்படவில்லை.
POST /v1/automation/monitors/preview ↗mcp.cap.AutomationRead
திட்டங்கள் (OpenAPI)
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationScriptPlatform
0 = WindowsPowerShell51 1 = LinuxBash 2 = MacOsZsh 3 = WindowsCmd 4 = WindowsPowerShell7 5 = LinuxPowerShell7 6 = MacOsPowerShell7 7 = WindowsPython3 8 = LinuxPython3 9 = MacOsPython3
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
AutomationTruthValue
0 = False 1 = True 2 = Unknown
அளவுருக்கள்
பாதை, வினவல் அல்லது தலைப்பு அளவுருக்கள் இல்லை.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"condition": {
"kind": 0
},
"scope": {
"kind": 0
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/monitors/preview' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "post_v1_automation_monitors_preview",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMonitorPreview"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/MonitorConditionPreview"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Preview monitor condition",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}GETஒரு மானிட்டரைப் பெறவும்/v1/automation/monitors/{id}
ஒரு மானிட்டரின் சோதனைகள் மற்றும் உள்ளமைவைப் படிக்கவும்.
GET /v1/automation/monitors/{id} ↗mcp.cap.AutomationRead
திட்டங்கள் (OpenAPI)
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationNotificationAudience
0 = None 1 = Owners 2 = Technicians 4 = Clients
AutomationNotificationChannel
0 = None 1 = InApp 2 = Email
AutomationSimpleActionKind
0 = Script 1 = Notification 2 = RefreshFacts 3 = ControlService 4 = RestartDevice 5 = WindowsDiskCleanup 6 = LinuxMaintenance 7 = WakeDevice 8 = SendUserMessage 9 = UninstallSoftware
LinuxMaintenanceAction
0 = RefreshPackageInventory 1 = InstallPackageUpdates 2 = RefreshFirmwareMetadata 3 = InstallFirmwareUpdates 4 = InstallAllUpdates
AutomationOutcomeMatch
0 = Failure 1 = Success 2 = Always 3 = ResultMatches
AutomationNotificationSeverity
0 = Information 1 = Warning 2 = Critical 3 = Recovery
AutomationScriptPlatform
0 = WindowsPowerShell51 1 = LinuxBash 2 = MacOsZsh 3 = WindowsCmd 4 = WindowsPowerShell7 5 = LinuxPowerShell7 6 = MacOsPowerShell7 7 = WindowsPython3 8 = LinuxPython3 9 = MacOsPython3
ServiceAction
0 = Start 1 = Stop 2 = Restart
SoftwareKind
0 = ClassicDesktop 1 = PackagedApp
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
அளவுருக்கள்
id· பாதை · தேவை- தொடர்புடைய ஆதார பட்டியல் அல்லது உருவாக்கம் முடிவு மூலம் அடையாளங்காட்டி வழங்கப்படும்.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/monitors/<id>' `
-Headers $headersகோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Read one monitor's checks and configuration.",
"operationId": "get_v1_automation_monitors_id",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationSimpleMonitorDraft"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get a monitor",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}PUTஒரு மானிட்டரைப் புதுப்பிக்கவும்/v1/automation/monitors/{id}
ஏற்கனவே உள்ள கண்காணிப்பு வரையறைக்கு மாற்றங்களைச் சேமிக்கவும்.
PUT /v1/automation/monitors/{id} ↗mcp.cap.AutomationManage + mcp.cap.AutomationExecute
திட்டங்கள் (OpenAPI)
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationNotificationAudience
0 = None 1 = Owners 2 = Technicians 4 = Clients
AutomationNotificationChannel
0 = None 1 = InApp 2 = Email
AutomationSimpleActionKind
0 = Script 1 = Notification 2 = RefreshFacts 3 = ControlService 4 = RestartDevice 5 = WindowsDiskCleanup 6 = LinuxMaintenance 7 = WakeDevice 8 = SendUserMessage 9 = UninstallSoftware
LinuxMaintenanceAction
0 = RefreshPackageInventory 1 = InstallPackageUpdates 2 = RefreshFirmwareMetadata 3 = InstallFirmwareUpdates 4 = InstallAllUpdates
AutomationOutcomeMatch
0 = Failure 1 = Success 2 = Always 3 = ResultMatches
AutomationNotificationSeverity
0 = Information 1 = Warning 2 = Critical 3 = Recovery
AutomationScriptPlatform
0 = WindowsPowerShell51 1 = LinuxBash 2 = MacOsZsh 3 = WindowsCmd 4 = WindowsPowerShell7 5 = LinuxPowerShell7 6 = MacOsPowerShell7 7 = WindowsPython3 8 = LinuxPython3 9 = MacOsPython3
ServiceAction
0 = Start 1 = Stop 2 = Restart
SoftwareKind
0 = ClassicDesktop 1 = PackagedApp
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
அளவுருக்கள்
id· பாதை · தேவை- தொடர்புடைய ஆதார பட்டியல் அல்லது உருவாக்கம் முடிவு மூலம் அடையாளங்காட்டி வழங்கப்படும்.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"condition": {
"kind": 0
},
"description": "<value>",
"name": "<value>",
"scope": {
"kind": 0
}
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/monitors/<id>' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Save changes to an existing monitoring definition.",
"operationId": "put_v1_automation_monitors_id",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfAutomationSimpleMonitorInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Update a monitor",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AutomationExecute"
]
}POSTமானிட்டர் நிலையை மாற்றவும்/v1/automation/monitors/{id}/state
தேர்ந்தெடுக்கப்பட்ட மானிட்டரை இயக்கவும் அல்லது முடக்கவும்.
POST /v1/automation/monitors/{id}/state ↗mcp.cap.AutomationManage + mcp.cap.AutomationExecute
திட்டங்கள் (OpenAPI)
AutomationMonitorLifecycleState
0 = Enabled 1 = Paused 2 = Archived
அளவுருக்கள்
id· பாதை · தேவை- தொடர்புடைய ஆதார பட்டியல் அல்லது உருவாக்கம் முடிவு மூலம் அடையாளங்காட்டி வழங்கப்படும்.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": 0
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/monitors/<id>/state' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))கோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Enable or disable the selected monitor.",
"operationId": "post_v1_automation_monitors_id_state",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfAutomationMonitorLifecycleState"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Change monitor state",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AutomationExecute"
]
}GETஆட்டோமேஷன் செயல்பாட்டு நிலையைப் பெறவும்/v1/automation/operations/{operationId}
ஒரு ஆட்டோமேஷன் மேலாண்மை செயல்பாட்டின் ரசீது மற்றும் நிலையைப் படிக்கவும்.
GET /v1/automation/operations/{operationId} ↗mcp.cap.AutomationRead
அளவுருக்கள்
operationId· பாதை · தேவை- உயர்நிலை செயல்பாட்டு ரசீது அடையாளங்காட்டி. முன்னேற்றம் மற்றும் முடிவை ஆய்வு செய்ய இந்த ரசீதை வாக்களிக்கவும்.
எடுத்துக்காட்டு கோரிக்கை
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/operations/<operationId>' `
-Headers $headersகோரிக்கை மற்றும் மறுமொழி திட்டம் (OpenAPI)
{
"description": "Read the receipt and status of an automation management operation.",
"operationId": "get_v1_automation_operations_operationId",
"parameters": [
{
"description": "Top-level operation receipt identifier. Poll this receipt to inspect progress and the result.",
"in": "path",
"name": "operationId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
[...]
